## gdb 7.11

=== gdb/features/Makefile ===
# Copyright (C) 2007-2016 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC make
# variable:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" cfiles

WHICH = aarch64 \
	arm-with-iwmmxt arm-with-vfpv2 arm-with-vfpv3 arm-with-neon \
	i386/i386 i386/i386-linux \
	i386/i386-mmx i386/i386-mmx-linux \
	i386/amd64 i386/amd64-linux \
	i386/i386-avx i386/i386-avx-linux \
	i386/i386-mpx i386/i386-mpx-linux \
	i386/i386-avx512 i386/i386-avx512-linux \
	i386/amd64-avx i386/amd64-avx-linux \
	i386/amd64-mpx i386/amd64-mpx-linux \
	i386/amd64-avx512 i386/amd64-avx512-linux \
	i386/x32 i386/x32-linux \
	i386/x32-avx i386/x32-avx-linux \
	i386/x32-avx512 i386/x32-avx512-linux \
	mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l rs6000/powerpc-cell32l rs6000/powerpc-cell64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 s390-vx-linux64 s390x-vx-linux64 \
	s390-tevx-linux64 s390x-tevx-linux64 \
	tic6x-c64xp tic6x-c64x tic6x-c62x \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386/i386-expedite = ebp,esp,eip
i386/i386-linux-expedite = ebp,esp,eip
i386/amd64-expedite = rbp,rsp,rip
i386/amd64-linux-expedite = rbp,rsp,rip
i386/i386-avx-expedite = ebp,esp,eip
i386/i386-avx-linux-expedite = ebp,esp,eip
i386/i386-mpx-expedite = ebp,esp,eip
i386/i386-mpx-linux-expedite = ebp,esp,eip
i386/i386-avx512-expedite = ebp,esp,eip
i386/i386-avx512-linux-expedite = ebp,esp,eip
i386/i386-mmx-expedite = ebp,esp,eip
i386/i386-mmx-linux-expedite = ebp,esp,eip
i386/amd64-avx-expedite = rbp,rsp,rip
i386/amd64-avx-linux-expedite = rbp,rsp,rip
i386/amd64-mpx-expedite = rbp,rsp,rip
i386/amd64-mpx-linux-expedite = rbp,rsp,rip
i386/amd64-avx512-expedite = rbp,rsp,rip
i386/amd64-avx512-linux-expedite = rbp,rsp,rip
i386/x32-expedite = rbp,rsp,rip
i386/x32-linux-expedite = rbp,rsp,rip
i386/x32-avx-expedite = rbp,rsp,rip
i386/x32-avx-linux-expedite = rbp,rsp,rip
i386/x32-avx512-expedite = rbp,rsp,rip
i386/x32-avx512-linux-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,rpc
nios2-linux-expedite = sp,pc
powerpc-expedite = r1,pc
rs6000/powerpc-cell32l-expedite = r1,pc,r0,orig_r3,r4
rs6000/powerpc-cell64l-expedite = r1,pc,r0,orig_r3,r4
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14l,r15l,pswa
s390-vx-linux64-expedite = r14l,r15l,pswa
s390-tevx-linux64-expedite = r14l,r15l,pswa
s390x-linux64-expedite = r14,r15,pswa
s390x-linux64v1-expedite = r14,r15,pswa
s390x-linux64v2-expedite = r14,r15,pswa
s390x-te-linux64-expedite = r14,r15,pswa
s390x-vx-linux64-expedite = r14,r15,pswa
s390x-tevx-linux64-expedite = r14,r15,pswa
tic6x-c64xp-expedite = A15,PC
tic6x-c64x-expedite = A15,PC
tic6x-c62x-expedite = A15,PC
tic6x-c64xp-linux-expedite = A15,PC
tic6x-c64x-linux-expedite = A15,PC
tic6x-c62x-linux-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# The set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	aarch64.xml \
	arm-with-iwmmxt.xml \
	arm-with-m-fpa-layout.xml \
	arm-with-m-vfp-d16.xml \
	arm-with-m.xml \
	arm-with-neon.xml \
	arm-with-vfpv2.xml \
	arm-with-vfpv3.xml \
	i386/amd64-avx-linux.xml \
	i386/amd64-avx.xml \
	i386/amd64-avx512-linux.xml \
	i386/amd64-avx512.xml \
	i386/amd64-linux.xml \
	i386/amd64-mpx-linux.xml \
	i386/amd64-mpx.xml \
	i386/amd64.xml \
	i386/i386-avx-linux.xml \
	i386/i386-avx.xml \
	i386/i386-avx512-linux.xml \
	i386/i386-avx512.xml \
	i386/i386-linux.xml \
	i386/i386-mmx-linux.xml \
	i386/i386-mmx.xml \
	i386/i386-mpx-linux.xml \
	i386/i386-mpx.xml \
	i386/i386.xml \
	i386/x32-avx-linux.xml \
	i386/x32-avx.xml \
	i386/x32-avx512-linux.xml \
	i386/x32-avx512.xml \
	i386/x32-linux.xml \
	i386/x32.xml \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nios2-linux.xml \
	nios2.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-cell32l.xml \
	rs6000/powerpc-cell64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	tic6x-c62x-linux.xml \
	tic6x-c62x.xml \
	tic6x-c64x-linux.xml \
	tic6x-c64x.xml \
	tic6x-c64xp-linux.xml \
	tic6x-c64xp.xml

CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

cfiles: $(CFILES)
%.c: %.xml
	$(GDB) -nx -q -batch \
	  -ex "set tdesc filename $<" -ex 'maint print c-tdesc' > $@.tmp
	sh ../../move-if-change $@.tmp $@

# Other dependencies.
$(outdir)/arm-with-iwmmxt.dat: arm-core.xml xscale-iwmmxt.xml
$(outdir)/i386/i386.dat: i386/32bit-core.xml i386/32bit-sse.xml
$(outdir)/i386/i386-linux.dat: i386/32bit-core.xml i386/32bit-sse.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/amd64.dat: i386/64bit-core.xml i386/64bit-sse.xml
$(outdir)/i386/amd64-linux.dat: i386/64bit-core.xml i386/64bit-sse.xml \
			        i386/64bit-linux.xml
$(outdir)/i386/i386-avx.dat: i386/32bit-core.xml i386/32bit-avx.xml
$(outdir)/i386/i386-avx-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/i386-mpx.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml 	i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-avx512.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-avx512-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-mmx.dat: i386/32bit-core.xml 
$(outdir)/i386/i386-mmx-linux.dat: i386/32bit-core.xml i386/32bit-linux.xml
$(outdir)/i386/amd64-avx.dat: i386/64bit-core.xml i386/64bit-avx.xml
$(outdir)/i386/amd64-avx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
				    i386/64bit-linux.xml
$(outdir)/i386/amd64-mpx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-mpx.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx512.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/amd64-avx512-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml \
			       i386/64bit-linux.xml
$(outdir)/i386/x32.dat: i386/x32-core.xml i386/64bit-sse.xml
$(outdir)/i386/x32-linux.dat: i386/x32-core.xml i386/64bit-sse.xml \
			      i386/64bit-linux.xml
$(outdir)/i386/x32-avx.dat: i386/x32-core.xml i386/64bit-avx.xml
$(outdir)/i386/x32-avx-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
				  i386/64bit-linux.xml
$(outdir)/i386/x32-avx512.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/x32-avx512-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml i386/64bit-linux.xml

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(CFILES)

clean:
	rm -f $(OUTPUTS)

=== debian/changelog ===
gdb (7.11-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Feb 2016 18:27:39 +0100

gdb (7.10.90.20160220-0ubuntu1) xenial; urgency=medium

  * Snapshot, taken from the gdb-7.11 branch.
  * Build again the pdf docs with fixed texinfo.
  * Fix OverflowError in backtrace command on 32bit kernels. LP: #1513922.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2016 17:52:18 +0100

gdb (7.10.90.20160215-0ubuntu2) xenial; urgency=medium

  * Don't build the pdf docs, broken with recent texinfo.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 20:50:26 +0100

gdb (7.10.90.20160215-0ubuntu1) xenial; urgency=medium

  * Snapshot, taken from the gdb-7.11 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 17:40:33 +0100

gdb (7.10.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 11:33:19 +0100

gdb (7.10-1ubuntu2) wily; urgency=medium

  * Fix build dependencies on i386 and powerpc for gdb64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 14:59:07 +0200

gdb (7.10-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
  * Remaining changes:
    - Keep building the gdb64 package.
    - Build from the upstream sources.
    - Build the gdb-doc package.
    - Include the man pages in the gdb package.
    - Build-depend on gcj-jdk.
    - Drop build dependency on python-dev.
    - Additional patches branch-updates, gdb-strings, ptrace-error-verbosity,
      ppc64el-gdbserver, ppc64el-attach-jvm.
    - Don't build a gdb-python2 package.
    - Configure with babeltrace on ppc64 and ppc64el.
    - gdb: Add a replaces to gdb-doc, which used to ship the manual pages.
    - Again, stop building the gdb-minimal package, not used anymore on any
      image.
    - Add build dependencies for the gdb-doc package.
    - Make gdb Multi-Arch: allowed again.
    - gdb: Recommend libcc1-0.
  * Update to the 7.9 branch 20150321.
    - Fix undefined behavior in TUI's TAB expansion.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 13:47:01 +0200

gdb (7.10-0ubuntu1) wily; urgency=medium

  * Gdb 7.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 14:40:47 +0200

gdb (7.9.90.20150809-0ubuntu1) wily; urgency=medium

  * Snapshot, taken from the 7.10 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Aug 2015 00:35:59 +0200

gdb (7.9.1-0ubuntu1) wily; urgency=medium

  * New upstream (bug fix) version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jul 2015 18:33:52 +0200

=== debian/control ===
Source: gdb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends:
# Packaging deps
               cdbs (>= 0.4.90),
               debhelper (>= 9),
               lsb-release,
               bzip2,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex | flex-old,
               procps,
               g++-multilib [i386 powerpc s390 sparc],
               gcj-jdk,
               gobjc,
               gccgo,
               mig [hurd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base,
# Libdev deps
               libexpat1-dev, lib64expat1-dev [i386 powerpc s390 sparc],
               libncurses5-dev, lib64ncurses5-dev [i386 powerpc s390 sparc],
               libreadline-dev, lib64readline6-dev [i386 powerpc s390 sparc],
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind7-dev [ia64],
# gdb64
               lib64z1-dev [i386 powerpc],
               lib64expat1-dev [i386 powerpc],
# gdb-doc
               texlive-latex-base, texlive-fonts-recommended, cm-super,
Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
Homepage: http://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg,
	    libcc1-0,
            gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
Suggests: gdb-doc
Conflicts: gdb
Replaces: gdb, gdb-doc (<< 7.8-1~)
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb64
Architecture: i386 powerpc s390 sparc
Replaces: gdb-multiarch (<< 7.6-1)
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Debugger (64-bit)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB compiled for a 64-bit variant
 of its architecture.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

Package: gdb-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gdb (= ${binary:Version})
Description: GNU Debugger (debug package)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the detached debugging symbols for the GNU
 GDB.

Package: gdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB manual.

## gdb 7.11.1

=== debian/changelog ===
gdb (7.11.1-2) unstable; urgency=medium

  * Fix build when run.1 is missing

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 17 Jun 2016 15:43:34 +0300

gdb (7.11.1-1) unstable; urgency=medium

  * New upstream version
  * Ack NMU, Fixed gdb-python, thanks Andreas!

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 16 Jun 2016 14:49:19 +0300

gdb (7.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build of gdb-python2 package (Closes: #798401)

 -- Andreas Bombe <aeb@debian.org>  Sat, 28 May 2016 17:22:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gdb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
+Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>, Riku Voipio <riku.voipio@linaro.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
 # Packaging deps
                cdbs (>= 0.4.90),
@@ -19,46 +18,40 @@
                dejagnu,
                flex | flex-old,
                procps,
-               g++-multilib [i386 powerpc s390 sparc],
-               gcj-jdk,
+# Do we really care that much about running the Java tests?
+#               gcj-jdk | gcj,
                gobjc,
-               gccgo,
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
                texlive-base,
 # Libdev deps
-               libexpat1-dev, lib64expat1-dev [i386 powerpc s390 sparc],
-               libncurses5-dev, lib64ncurses5-dev [i386 powerpc s390 sparc],
-               libreadline-dev, lib64readline6-dev [i386 powerpc s390 sparc],
+               libexpat1-dev,
+               libncurses5-dev,
+               libreadline-dev,
                zlib1g-dev,
                liblzma-dev,
-               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
-               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 ppc64el s390x],
+               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x],
+               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x],
+               python-dev,
+# Python3 build
                python3-dev,
                libkvm-dev [kfreebsd-any],
                libunwind7-dev [ia64],
-# gdb64
-               lib64z1-dev [i386 powerpc],
-               lib64expat1-dev [i386 powerpc],
-# gdb-doc
-               texlive-latex-base, texlive-fonts-recommended, cm-super,
 Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
 Homepage: http://www.gnu.org/s/gdb/
 
 Package: gdb
 Architecture: any
-Multi-Arch: allowed
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends}
 Recommends: libc-dbg,
-	    libcc1-0,
             gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
 Suggests: gdb-doc
 Conflicts: gdb
-Replaces: gdb, gdb-doc (<< 7.8-1~)
+Replaces: gdb
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
@@ -66,19 +59,38 @@
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
 
-Package: gdb64
-Architecture: i386 powerpc s390 sparc
-Replaces: gdb-multiarch (<< 7.6-1)
-Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: GNU Debugger (64-bit)
+Package: gdb-python2
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libc-dbg,
+            gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
+Suggests: gdb-doc
+Provides: gdb
+Conflicts: gdb
+Replaces: gdb
+Description: GNU Debugger (linked against python2)
+ GDB is a source-level debugger, capable of breaking programs at
+ any specific line, displaying variable values, and determining
+ where errors occurred. Currently, gdb supports C, C++, D,
+ Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
+ Go, and Ada. A must-have for any serious programmer.
+
+Package: gdb-minimal
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: gdb
+Conflicts: gdb
+Replaces: gdb
+Description: GNU Debugger (minimal version)
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
  where errors occurred. Currently, gdb supports C, C++, D,
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
  .
- This package contains a version of GDB compiled for a 64-bit variant
- of its architecture.
+ This package contains a minimal version of GDB with optional features
+ disabled.
 
 Package: gdb-multiarch
 Architecture: any
@@ -134,18 +146,3 @@
  .
  This package contains the detached debugging symbols for the GNU
  GDB.
-
-Package: gdb-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
-Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
-Description: The GNU Debugger Documentation
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, it works for C, C++, Fortran,
- Modula 2 and Java programs. A must-have for any serious
- programmer.
- .
- This package contains the GDB manual.

=== debian/rules ===
#!/usr/bin/make -f

ALL_BUILDDIR := $(shell pwd)/build

DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
DEB_DH_STRIP_ARGS_GDB := --dbg-package=gdb-dbg

# Override CDBS's default CFLAGS, which also includes -Wall; gdb
# does not handle -Wunused well with -Werror, but defaults to
# -Werror.
DEB_WARNING_FLAGS :=

# This implements the .deb package creation using debhelper.
include /usr/share/cdbs/1/rules/debhelper.mk

# This implements building using a configure script and Makefile.
include /usr/share/cdbs/1/class/python-autotools.mk

# The top-level configure script fails to pass these down properly ...
export CPPFLAGS
export LDFLAGS

# Always install into debian/tmp, even if we are only building one package.
DEB_DESTDIR := $(shell pwd)/debian/tmp

install = /usr/bin/install -p

# Rather paranoid than sorry. Make the shell exit with an error if an
# untested command fails.
SHELL += -e

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)

# Cross configuration support.  Check for an environment variable
# $GDB_TARGET, or a file debian/target.
ifndef GDB_TARGET
DEBIAN_TARGET_FILE := $(strip $(shell cat debian/target 2>/dev/null))
ifneq ($(DEBIAN_TARGET_FILE),)
GDB_TARGET := $(DEBIAN_TARGET_FILE)
endif
endif

DEB_TARGET_ALIAS ?= $(DEB_TARGET_GNU_TYPE)

ifneq ($(GDB_TARGET),)
DEB_CONFIGURE_GDB_DATADIR := "\$${prefix}/share/gdb-$(DEB_TARGET_GNU_TYPE)"
DEB_CONFIGURE_PATH_ARGS += --with-gdb-datadir=$(DEB_CONFIGURE_GDB_DATADIR)
endif

ifeq ($(DEB_TARGET_ARCH),)
$(error GDB_TARGET value "$(GDB_TARGET)" is not a valid Debian architecture)
endif

ifdef GDB_TARGET
  DEB_CROSS = yes
  # TP: Target Prefix. Used primarily as a prefix for cross tool
  #     names (e.g. powerpc-linux-gcc).
  # TS: Target Suffix. Used primarily at the end of cross compiler
  #     package names (e.g. gcc-powerpc).
  TP = $(DEB_TARGET_ALIAS)-
  TS = -$(DEB_TARGET_ALIAS)
  CROSS_FORCE = FORCE
endif

distribution := $(shell lsb_release -is)
deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch
BUILDDIRPYTHON2 = $(ALL_BUILDDIR)/objdir-python2

run_tests := yes

ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
  run_tests := no
endif

ifeq (,$(findstring linux, $(DEB_HOST_GNU_SYSTEM)))
  run_tests := no
endif

ifeq ($(DEB_HOST_GNU_CPU),ia64)
  arch_config_args := --with-libunwind-ia64
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
  arch_config_args += --with-babeltrace
endif

ifdef GDB_TARGET
  run_tests := no

  arch_config_args += --program-prefix=$(TP) \
    --target=$(DEB_TARGET_ALIAS) --with-sysroot=/usr/$(DEB_TARGET_ALIAS)
else
  # To avoid file conflicts, only enable the global gdbinit file for native
  # debuggers.
  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit
endif

INSTALL = $(install)
export INSTALL

# We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
# causes a harmless, but ugly, testsuite failure in maint.exp.
EXTRA_FLAGS := --disable-gdbtk --disable-shared \
	--with-pkgversion='$(distribution) $(deb_version)' \
	--srcdir=$(shell pwd) \
	--disable-readline --with-system-readline --with-expat \
	--with-system-zlib --without-lzma \
	--without-guile --without-babeltrace \
	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)

# Debian does not include 64-bit Python packages, so --with-python
# is here rather than in EXTRA_FLAGS.
DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
	--enable-tui --with-lzma --with-python=python3

# multiarch targets; this is taken from the binutils-multiarch package but
# doesn't seem like a terribly nice list; see
# <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
MULTIARCH_TARGETS := \
	aarch64-linux-gnu \
	alpha-linux-gnu \
	arm-linux-gnu \
	arm-linux-gnueabi \
	arm-linux-gnueabihf \
	hppa-linux-gnu \
	i686-linux-gnu \
	ia64-linux-gnu \
	m68k-linux-gnu \
	m68k-rtems \
	mips-linux-gnu \
	mipsel-linux-gnu \
	mips64-linux-gnu \
	mips64el-linux-gnu \
	powerpc-linux-gnu \
	powerpc-linux-gnuspe \
	powerpc64le-linux-gnu \
	powerpc64-linux-gnu \
	ppc64-linux-gnu \
	s390-linux-gnu \
	s390x-linux-gnu \
	sh-linux-gnu \
	sparc-linux-gnu \
	sparc64-linux-gnu \
	x86_64-linux-gnu \
	m32r-linux-gnu 

# broken, see https://launchpad.net/bugs/1233185
#MULTIARCH_TARGETS := all
#	--enable-targets=$(MULTIARCH_TARGETS) \
# multiarch flags
DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
	--enable-64-bit-bfd \
	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"` \
	--disable-sim

# Minimal flags
DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
	--disable-tui --without-python --without-babeltrace

DEB_CONFIGURE_FLAGS_PYTHON2 := $(DEB_CONFIGURE_EXTRA_FLAGS) \
	--with-python=python2

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

DEB_MAKE_BUILD_TARGET = $(NJOBS) all

BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal

# This should probably be common-post-build-arch, but that runs during
# install, under fakeroot, in CDBS 0.4.21.
build/gdb$(TS):: check-stamp
	$(MAKE) -C $(DEB_BUILDDIR) info
	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps

build/gdb-python2$(TS):: build-python2-stamp
build-python2-stamp:
	mkdir -p $(BUILDDIRPYTHON2)
	cd $(BUILDDIRPYTHON2) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_PYTHON2)
	cd $(BUILDDIRPYTHON2) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

build/gdb-multiarch:: build-multiarch-stamp
build-multiarch-stamp:
	mkdir -p $(BUILDDIRMULTIARCH)
	cd $(BUILDDIRMULTIARCH) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_MULTIARCH)
	cd $(BUILDDIRMULTIARCH) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

build/gdb-minimal:: build-minimal-stamp
build-minimal-stamp:
	mkdir -p $(BUILDDIRMIN)
	cd $(BUILDDIRMIN) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_MIN)
	cd $(BUILDDIRMIN) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

check-stamp:
ifeq ($(run_tests),yes)
	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check \
	  || echo "**Tests failed, of course.**"
endif
	touch $@

clean::
	rm -f check-stamp build-multiarch-stamp
	rm -rf $(ALL_BUILDDIR)

	if test -f gdb/version.in.backup; then \
	  mv -f gdb/version.in.backup gdb/version.in; \
	fi

#	# For snapshots this is appropriate; careful of release tarballs
#	# which include .gmo files.
#	find -type f -name '*.gmo' | xargs rm -f

	# Prevent gratuitous rebuilds of the BFD documentation, since it
	# updates the copy in the source directory.
	find bfd -name bfd.info\* | xargs --no-run-if-empty touch

binary-post-install/gdb$(TS) ::
	if [ -x debian/tmp/usr/bin/run ]; then \
		mv debian/tmp/usr/bin/run \
		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
	fi
	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
		mv debian/tmp/usr/share/man/man1/run.1 \
		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1; \
	fi
ifeq ($(run_tests),yes)
	install -d debian/gdb$(TS)/usr/share/doc/gdb
	install -m 644 $(DEB_BUILDDIR)/gdb/testsuite/gdb.sum \
		debian/gdb$(TS)/usr/share/doc/gdb/check.log
endif

ifneq ($(DEB_CROSS),yes)

## gdb 7.11.90.20161005

=== debian/changelog ===
gdb (7.11.90.20161005-0ubuntu1) yakkety; urgency=medium

  * Snapshot, taken from the gdb-7.12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Oct 2016 23:55:15 +0200

gdb (7.11.90.20160927-0ubuntu1) yakkety; urgency=medium

  * Snapshot, taken from the gdb-7.12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Sep 2016 18:42:57 +0200

gdb (7.11.90.20160917-0ubuntu2) yakkety; urgency=medium

  * Build again the gdb64 package.
  * Configure with --with-babeltrace on every architecture.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2016 19:46:33 +0200

gdb (7.11.90.20160917-0ubuntu1) yakkety; urgency=medium

  * Snapshot, taken from the gdb-7.12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 15:49:50 +0200

gdb (7.11.90.20160906-0ubuntu1) yakkety; urgency=medium

  * Snapshot, taken from the gdb-7.12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 12:39:48 +0200

gdb (7.11.90.20160824-0ubuntu2) yakkety; urgency=medium

  * Don't build gdb64 for now.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Aug 2016 11:11:26 +0200

gdb (7.11.90.20160824-0ubuntu1) yakkety; urgency=medium

  * Snapshot, taken from the gdb-7.12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Aug 2016 14:54:04 +0200

gdb (7.11.1-0ubuntu1) yakkety; urgency=medium

  * New upstream bug fix release.
    - Fix PR gdb/19828, PR gdb/20045, PR gdb/18077, PR gdb/20039,
      PR python/20037, PR remote/19840, PR gdb/19858, PR gdb/19829,
      PR gdb/19676.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Jun 2016 17:05:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
 DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
+ifeq (,$(DEB_TARGET_ARCH))
+  DEB_TARGET_ARCH := $(DEB_HOST_ARCH)
+  DEB_TARGET_GNU_TYPE := $(DEB_HOST_GNU_TYPE)
+endif
 
 # Cross configuration support.  Check for an environment variable
 # $GDB_TARGET, or a file debian/target.
@@ -66,13 +70,32 @@
   TP = $(DEB_TARGET_ALIAS)-
   TS = -$(DEB_TARGET_ALIAS)
   CROSS_FORCE = FORCE
+else
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 powerpc sparc s390))
+  build64 = yes
+  CC64 = gcc -m64
+  CXX64 = g++ -m64
+  CFLAGS64 = $(CFLAGS)
+  BUILDDIR64 = $(ALL_BUILDDIR)/objdir64
+  ifeq ($(DEB_HOST_ARCH),i386)
+    HOST64 = x86_64-linux-gnu
+  endif
+  ifeq ($(DEB_HOST_ARCH),powerpc)
+    HOST64 = powerpc64-linux-gnu
+  endif
+  ifeq ($(DEB_HOST_ARCH),sparc)
+    HOST64 = sparc64-linux-gnu
+  endif
+  ifeq ($(DEB_HOST_ARCH),s390)
+    HOST64 = s390x-linux-gnu
+  endif
+endif
 endif
 
 distribution := $(shell lsb_release -is)
 deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
 
 BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch
-BUILDDIRPYTHON2 = $(ALL_BUILDDIR)/objdir-python2
 
 run_tests := yes
 
@@ -88,9 +111,7 @@
   arch_config_args := --with-libunwind-ia64
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
-  arch_config_args += --with-babeltrace
-endif
+arch_config_args += --with-babeltrace
 
 ifdef GDB_TARGET
   run_tests := no
@@ -120,6 +141,10 @@
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
 	--enable-tui --with-lzma --with-python=python3
+
+# 64-bit flags
+DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
+	--enable-tui --without-babeltrace
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -143,14 +168,13 @@
 	powerpc-linux-gnuspe \
 	powerpc64le-linux-gnu \
 	powerpc64-linux-gnu \
-	ppc64-linux-gnu \
 	s390-linux-gnu \
 	s390x-linux-gnu \
 	sh-linux-gnu \
 	sparc-linux-gnu \
 	sparc64-linux-gnu \
 	x86_64-linux-gnu \
-	m32r-linux-gnu 
+	m32r-linux-gnu
 
 # broken, see https://launchpad.net/bugs/1233185
 #MULTIARCH_TARGETS := all
@@ -165,9 +189,6 @@
 DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
 	--disable-tui --without-python --without-babeltrace
 
-DEB_CONFIGURE_FLAGS_PYTHON2 := $(DEB_CONFIGURE_EXTRA_FLAGS) \
-	--with-python=python2
-
 # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
 COMMA = ,
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
@@ -185,12 +206,15 @@
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
 
-build/gdb-python2$(TS):: build-python2-stamp
-build-python2-stamp:
-	mkdir -p $(BUILDDIRPYTHON2)
-	cd $(BUILDDIRPYTHON2) && CFLAGS="$(CFLAGS)" \
-	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_PYTHON2)
-	cd $(BUILDDIRPYTHON2) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
+build/gdb-doc:: check-stamp
+	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
+
+build/gdb64:: build64-stamp
+build64-stamp:
+	mkdir -p $(BUILDDIR64)
+	cd $(BUILDDIR64) && CC="$(CC64)" CXX="$(CXX64)" CFLAGS="$(CFLAGS64)" AR=ar \
+	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_64)
+	cd $(BUILDDIR64) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
 	touch $@
 
 build/gdb-multiarch:: build-multiarch-stamp
@@ -217,7 +241,7 @@
 	touch $@
 
 clean::
-	rm -f check-stamp build-multiarch-stamp
+	rm -f check-stamp build64-stamp build-multiarch-stamp
 	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
@@ -233,18 +257,3 @@
 	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
 
 binary-post-install/gdb$(TS) ::
-	if [ -x debian/tmp/usr/bin/run ]; then \
-		mv debian/tmp/usr/bin/run \
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
-	fi
-	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
-		mv debian/tmp/usr/share/man/man1/run.1 \
-		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1; \
-	fi
-ifeq ($(run_tests),yes)
-	install -d debian/gdb$(TS)/usr/share/doc/gdb
-	install -m 644 $(DEB_BUILDDIR)/gdb/testsuite/gdb.sum \
-		debian/gdb$(TS)/usr/share/doc/gdb/check.log
-endif
-
-ifneq ($(DEB_CROSS),yes)
